Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.juzu.metadata
Class ControllerParameter

    java.lang.Object
      org.juzu.metadata.ControllerParameter

    public class ControllerParameter

extends Object

A parameter of a controller

Author:
  Julien Viet

Constructor Summary
`ControllerParameter(String name, Cardinality cardinality)`
`ControllerParameter(String name, Cardinality cardinality, String value)`

Method Summary
`boolean` | `equals(Object obj)`
`Cardinality` | `getCardinality()` Returns the parameter cardinality.
`String` | `getName()` Returns the parameter name.
`String` | `getValue()` Returns the value matched by a controller parameter or null if the parameter can match any value.
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControllerParameter

    public ControllerParameter(String name,
                               Cardinality cardinality)
                        throws NullPointerException

Throws:
  `NullPointerException`

### ControllerParameter

    public ControllerParameter(String name,
                               Cardinality cardinality,
                               String value)
                        throws NullPointerException

Throws:
  `NullPointerException`

Method Detail

### getName

    public String getName()

  Returns the parameter name.

  Returns:
    the parameter name

### getCardinality

    public Cardinality getCardinality()

  Returns the parameter cardinality.

  Returns:
    the parameter cardinality

### getValue

    public String getValue()

  Returns the value matched by a controller parameter or null if the parameter can match any value.

  Returns:
    the parameter value

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.